classification
Title: To avoid hang up in using CGIXMLRPCRequestHandler under IIS 7.x
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, sjtuer
Priority: normal Keywords:

Created on 2009-08-18 15:58 by sjtuer, last changed 2010-08-02 20:35 by georg.brandl. This issue is now closed.

Messages (2)
msg91707 - (view) Author: Yang (sjtuer) Date: 2009-08-18 15:58
The mismatched content length will cause hang up in sys.stdin.read(). 
The reason is probably described in Issue 1214 as well as 1725295.

length = int(os.environ.get('CONTENT_LENGTH', None))
"""Length fix for IIS 7.x to avoid hang up"""
length=length-2

I would appreciate if someone can create a diff or patch file for the 
code above.
msg112537 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 20:35
Why would one read 2 bytes less than CONTENT_LENGTH?
History
Date User Action Args
2010-08-02 20:35:20georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112537

resolution: works for me
2010-07-10 06:57:14terry.reedysetversions: + Python 3.2, - Python 2.6
2009-08-18 15:58:07sjtuercreate